# List account domains Retrieve a paginated list of the domains in your account. Results are returned using cursor-based pagination. Omit $cursor to fetch the first page, then pass the next.$cursor value from the previous page response to fetch each subsequent page. When next is null there are no more pages. Use $expand=flags to additionally include the EPP domain flags for each returned domain. Endpoint: GET /account/domains Version: 1.0.0 Security: bearer ## Query parameters: - `$cursor` (string) Opaque cursor for paginating through results. Omit it to fetch the first page, then pass the value from next.$cursor in the previous response to fetch each subsequent page. - `$expand` (array) Use $expand=flags to additionally include the EPP domain flags for each returned domain. Enum: "flags" ## Response 200 fields (application/json): - `@type` (string, required) Enum: "unstoppabledomains.com/partner.v3.CursorList" - `items` (array, required) - `items.name` (string, required) The fully qualified domain name. Example: "example.com" - `items.status` (string, required) The current registration status of the domain. Enum: "REGISTERED", "REGISTERED_EXTERNAL", "REGISTRATION_PROCESSING", "DEACTIVATED", "EXPIRED_GRACE_PERIOD", "EXPIRED_PENDING_DELETE", "EXPIRED_REDEMPTION_PERIOD", "TRANSFER_INBOUND_PROCESSING" - `items.namingSystem` (string, required) The naming system the domain is registered under. Enum: "UNS", "ICANN", "ENS" - `items.blockchain` (string) The blockchain the domain is minted on. Present for tokenized (web3) domains only. Enum: "MATIC", "ETH", "ZIL", "BASE", "SOL", "SONIC" - `items.expirationTimestamp` (integer,null, required) Unix epoch timestamp (milliseconds) when the domain expires, or null when the domain has no expiration. - `items.flags` (object) EPP domain flags for the domain. Only included when $expand=flags is set. - `items.flags.DNS_RESOLUTION` (object, required) - `items.flags.DNS_RESOLUTION.status` (string, required) Enum: "ENABLED", "DISABLED" - `items.flags.DNS_RESOLUTION.readonly` (object) - `items.flags.DNS_RESOLUTION.readonly.state` (boolean, required) - `items.flags.DNS_RESOLUTION.readonly.reasons` (array, required) - `items.flags.DNS_TRANSFER_OUT` (object, required) - `items.flags.DNS_DELETE` (object, required) - `items.flags.DNS_UPDATE` (object, required) - `items.flags.DNS_RENEW` (object, required) - `items.flags.DNS_WHOIS_PROXY` (object, required) - `items.flags.DNS_UNS_TOKENIZATION` (object, required) - `next` (object,null, required) - `next.$cursor` (string) ## Response 400 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 401 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 403 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 500 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string)